Nagad
How to use Nagad to submit a payout in Bangladesh.
Last updated
{
"code": 200,
"msg": "success",
"time": 1628580845,
"data": {
"id": "TS202108100734054iRiUZFPXfQM",
"custom_code": "custom_code9982674851738108",
"arrival_amount": "101",
"arrival_currency": "BDT",
"source_amount": "101",
"source_currency": "BDT",
"status": "IN_PROCESSING"
}
}{
"code": 4001020,
"msg": "order already existed",
"time": 1628580940,
"data": {}
}{
"code": 4004003,
"msg": "permission denied",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001003,
"msg": "fee not configured",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001102,
"msg": "balance insufficient",
"time": 1637224716,
"data": {
... ...
}
}{
"code": 5001000,
"msg": "system error",
"time": 1637224716,
"data": {
... ...
}
}curl --location --request POST 'https://sandbox.transfersmile.com/api/payout' \
--header 'AppId: 94FAC**********************68548' \
--header 'Authorization: d6181db0d6548b94b162e75d095b59147172d914699f83b2bd17951a671b6302' \
--header 'Content-Type: application/json' \
--data-raw '{
* "name" : "Md******san",
* "account_type": "PHONE",
* "account": "018******99",
* "source_currency": "BDT",
* "arrival_currency": "BDT", // fixed value: BDT
* "fee_bear": "merchant", // should be one of merchant, beneficiary
* "method": "Nagad", // fixed value: Nagad
* "amount": "101", //Amount must be an integer, the fraction is not supported (e.g. 100 or 100.00 is acceptable, but 100.01 is not)
* "notify_url": "https://notify.url",
* "custom_code" : "custom_code9982674851738108",
* "additional_remark": "pagsmile payout test remark",
* "country": "BGD" // fixed value: BGD
}
'